# makers-styles
The definitive repository for Makers Academy stylesheets

## Styles Catalogue

You can view our currently-available styles on our [showcase page](http://www.makersacademy.com/elements).

If you add a new style you _must_ ensure that you update this page to reflect it's usage. Failure to do this will result in Nikesh releasing the flying monkeys. You do not want this to happen.

## External Dependencies

Our styles have the following external dependencies:

* [CSS Reset and Normalize](https://github.com/webdesignberlin/css-reset-and-normalize-sass)
* [Slick (slider)](http://kenwheeler.github.io/slick/)
* [Bourbon (Mixin Library)](http://bourbon.io/)
* [Neat (grid framework)](http://neat.bourbon.io/)
* [PrismJS (syntax highlighting for the showcase site)](http://prismjs.com/)

These are currently pulled in via the [Yarn](yarnpkg.com) package associated with this repo. NOTE: PrismJS must be manually updated, and lives in the `/sass/elements-showcase/` directory.

Please do not move them outside of the `node_modules` directory, nor directly edit any files in the `node_modules` directory.

Sass will be configured to find the appropriate `.scss` files from their respective locations and bring them all into a central CSS file which you can minify/deploy as you wish.

### Installation:

Ensure you have [Yarn](https://yarnpkg.com/) installed. Once this is the case
you should be able to run:

```
$ yarn init
```

This sets up a new yarn project. Then simply run:

```
$ yarn add makers-styles
```

This should fetch all of the external dependencies our styles have listed above, as well as the styles written by Makers Academy.

Next make sure you have the following `compile-sass` command defined under the `scripts` in your `package.json` file:

```javascript
  "scripts": {
    "compile-sass": "./node_modules/node-sass/bin/node-sass ./node_modules/makers-styles/sass/ -o ./source/stylesheets/"
  },
```
Once these are in place, simply run:

```
$ yarn run compile-sass
```

You should now have the beautiful stylings of Makers Academy, right there in your project! :heart:

### Notes

##### Middleman

If you are using a Middleman app, please make sure you make the following edit:

```ruby
# in config.rb:

# default: set :css_dir, 'sass'
set :css_dir, 'stylesheets'
```
